#!/bin/sh
# This Script downloads National Geographic Photo of the day, and sets it as desktop background (gnome, unity)
# Copyright (C) 2012 Saman Barghi - All Rights Reserved
# Permission to copy, modify, and distribute is granted under GPLv3
# Last Revised 22 May 2019
#######################

# For feh, we need display set properly
export DISPLAY=:0.0
export XAUTHORITY=/home/powellc/.Xauthority

if [ -n "$1" ]; then
  SOURCE=$1
else
  SOURCE='astrobin'
fi

# Choices: astrobin,natgeo,nasa,unsplash,bing
BASEDIR="$HOME/var/backgrounds/$SOURCE/"
SEARX_BASEDIR="$HOME/var/backgrounds/bing/"

# Get daily NatGeo POTD
python3 ~/.bin/get_natgeo_potd.py
python3 ~/.bin/get_astrobin_potd.py
python3 ~/.bin/get_unsplash_potd.py
python3 ~/.bin/get_bing_potd.py

date=$(date '+%Y-%m-%d')

#set the current image as wallpaper
echo "Setting desktop background"
hsetroot -cover $BASEDIR/$date.jpg

#link slim background to new image
SLIM_BG_FILE=/usr/share/slim/themes/default/background.jpg
if test -f "$SLIM_BG_FILE"; then
	echo "Setting Slim background image"
	rm $SLIM_BG_FILE
	ln -s $BASEDIR/$date.jpg $SLIM_BG_FILE
fi

SEARX_BG_FILE=/usr/local/lib/python2.7/site-packages/searx/static/themes/courgette/img/bg-body-index.jpg
if test -f "$SEARX_BG_FILE"; then
	echo "Setting Searx background image"
	rm $SEARX_BG_FILE
	cp $SEARX_BASEDIR/$date.jpg $SEARX_BG_FILE
fi

# Then grab our APOD image and store it for now
#Change directory to where the script resides.
#BASEDIR="$HOME/var/inbox/apod_photos"
#cd $BASEDIR
########################
#
## Get the APoD image from NASA
#img="$(curl https://api.nasa.gov/planetary/apod\?api_key=AdfgdnmmInYgpDMEq3ShMLKjJ7DZ7jyUcgLHWdgw | jq .hdurl | tr -d \")"
#
##check to see if there is any wallpaper to download
#if [ -n "$img" ]
#then
#	img_file=`echo $img | cut -d/ -f 7 | tr -d \"`
#	curl $img > $img_file
#	#set the current image as wallpaper
#	#hsetroot -sane $BASEDIR/$img_file
#	##link slim background to new image
#	#rm /usr/share/slim/themes/default/background.jpg
#	#ln -s $BASEDIR/$img_file /usr/share/slim/themes/default/background.jpg
#else
#	echo "No Wallpaper today"
#fi
